Subject: gunicorn workers not working

Description

Following pithos+ guide http://docs.dev.grnet.gr/pithos/latest/adminguide.html#gunicorn-setup

I am stuck with gunicorn and failing workers...

I see output "django project not found" - what did I do wrong? Tell me what outputs or info you need for this problem.

Thanks in advance!

gunicorn/synnefo.log output:

2012-07-25 08:28:03 [2206] [INFO] Starting gunicorn 0.14.5

2012-07-25 08:28:03 [2206] [DEBUG] Arbiter booted

2012-07-25 08:28:03 [2206] [INFO] Listening at: http://127.0.0.1:8080 (2206)

2012-07-25 08:28:03 [2206] [INFO] Using worker: sync

2012-07-25 08:28:03 [2214] [INFO] Booting worker with pid: 2214

2012-07-25 08:28:03 [2213] [INFO] Booting worker with pid: 2213

2012-07-25 08:28:03 [2213] [DEBUG] Exception in worker process:

Traceback (most recent call last):

  File "/usr/lib/pymodules/python2.6/gunicorn/arbiter.py", line 459, in spawn_worker

    worker.init_process()

  File "/usr/lib/pymodules/python2.6/gunicorn/workers/base.py", line 99, in init_process

    self.wsgi = self.app.wsgi()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/base.py", line 101, in wsgi

    self.callable = self.load()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 87, in load

    make_default_env(self.cfg)

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 53, in make_default_env

    raise RuntimeError("django project not found")

RuntimeError: django project not found

2012-07-25 08:28:03 [2213] [INFO] Worker exiting (pid: 2213)

2012-07-25 08:28:03 [2216] [INFO] Booting worker with pid: 2216

2012-07-25 08:28:03 [2216] [DEBUG] Exception in worker process:

Traceback (most recent call last):

  File "/usr/lib/pymodules/python2.6/gunicorn/arbiter.py", line 459, in spawn_worker

    worker.init_process()

  File "/usr/lib/pymodules/python2.6/gunicorn/workers/base.py", line 99, in init_process

    self.wsgi = self.app.wsgi()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/base.py", line 101, in wsgi

    self.callable = self.load()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 87, in load

    make_default_env(self.cfg)

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 53, in make_default_env

    raise RuntimeError("django project not found")

RuntimeError: django project not found
2012-07-25 08:28:03 [2216] [INFO] Worker exiting (pid: 2216)

2012-07-25 08:28:03 [2215] [INFO] Booting worker with pid: 2215

2012-07-25 08:28:03 [2215] [DEBUG] Exception in worker process:

Traceback (most recent call last):

  File "/usr/lib/pymodules/python2.6/gunicorn/arbiter.py", line 459, in spawn_worker

    worker.init_process()

  File "/usr/lib/pymodules/python2.6/gunicorn/workers/base.py", line 99, in init_process

    self.wsgi = self.app.wsgi()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/base.py", line 101, in wsgi

    self.callable = self.load()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 87, in load

    make_default_env(self.cfg)

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 53, in make_default_env

    raise RuntimeError("django project not found")

RuntimeError: django project not found

2012-07-25 08:28:03 [2215] [INFO] Worker exiting (pid: 2215)

2012-07-25 08:28:03 [2214] [DEBUG] Exception in worker process:

Traceback (most recent call last):

  File "/usr/lib/pymodules/python2.6/gunicorn/arbiter.py", line 459, in spawn_worker

    worker.init_process()

  File "/usr/lib/pymodules/python2.6/gunicorn/workers/base.py", line 99, in init_process

    self.wsgi = self.app.wsgi()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/base.py", line 101, in wsgi

    self.callable = self.load()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 87, in load

    make_default_env(self.cfg)

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 53, in make_default_env

    raise RuntimeError("django project not found")

RuntimeError: django project not found

2012-07-25 08:28:03 [2214] [INFO] Worker exiting (pid: 2214)

Traceback (most recent call last):

  File "/usr/bin/gunicorn_django", line 9, in <module>

    load_entry_point('gunicorn==0.14.5', 'console_scripts', 'gunicorn_django')()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/djangoapp.py", line 132, in run

    DjangoApplication("%prog [OPTIONS] [SETTINGS_PATH]").run()

  File "/usr/lib/pymodules/python2.6/gunicorn/app/base.py", line 124, in run

    Arbiter(self).run()

  File "/usr/lib/pymodules/python2.6/gunicorn/arbiter.py", line 185, in run

    self.halt(reason=inst.reason, exit_status=inst.exit_status)

  File "/usr/lib/pymodules/python2.6/gunicorn/arbiter.py", line 280, in halt

    self.stop()

  File "/usr/lib/pymodules/python2.6/gunicorn/arbiter.py", line 328, in stop

    self.reap_workers()

  File "/usr/lib/pymodules/python2.6/gunicorn/arbiter.py", line 419, in reap_workers

    raise HaltServer(reason, self.WORKER_BOOT_ERROR)

gunicorn.errors.HaltServer: <HaltServer 'Worker failed to boot.' 3>

History

#1 - 01/08/2013 05:12 pm - Nikola Garafolic
Seems to work now thanks to updated documentation. You can close this one.

Regards,

Nikola

#2 - 02/08/2013 06:31 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

#3 - 02/08/2013 06:32 pm - Vangelis Koukis

- Category set to Pithos

- Status changed from New to Closed
